Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network36.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
36.0.0.0
Broadcast address
36.63.255.255
First usable
36.0.0.1
Last usable
36.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 24000000 · Integer 603979776 to 608174079
Reverse DNS zones
0.36.in-addr.arpa
1.36.in-addr.arpa
2.36.in-addr.arpa
3.36.in-addr.arpa
4.36.in-addr.arpa
5.36.in-addr.arpa
6.36.in-addr.arpa
7.36.in-addr.arpa
8.36.in-addr.arpa
9.36.in-addr.arpa
10.36.in-addr.arpa
11.36.in-addr.arpa
12.36.in-addr.arpa
13.36.in-addr.arpa
14.36.in-addr.arpa
15.36.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100100.00000000.00000000.0000000036.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00100100.00000000.00000000.0000000036.0.0.0
Broadcast00100100.00111111.11111111.1111111136.63.255.255
Split into smaller subnets/22

36.0.0.0/10 makes 4,096 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
136.0.0.0/2236.0.0.1 to 36.0.3.25436.0.3.2551,022
236.0.4.0/2236.0.4.1 to 36.0.7.25436.0.7.2551,022
336.0.8.0/2236.0.8.1 to 36.0.11.25436.0.11.2551,022
436.0.12.0/2236.0.12.1 to 36.0.15.25436.0.15.2551,022
536.0.16.0/2236.0.16.1 to 36.0.19.25436.0.19.2551,022
636.0.20.0/2236.0.20.1 to 36.0.23.25436.0.23.2551,022
736.0.24.0/2236.0.24.1 to 36.0.27.25436.0.27.2551,022
836.0.28.0/2236.0.28.1 to 36.0.31.25436.0.31.2551,022
936.0.32.0/2236.0.32.1 to 36.0.35.25436.0.35.2551,022
1036.0.36.0/2236.0.36.1 to 36.0.39.25436.0.39.2551,022
1136.0.40.0/2236.0.40.1 to 36.0.43.25436.0.43.2551,022
1236.0.44.0/2236.0.44.1 to 36.0.47.25436.0.47.2551,022
1336.0.48.0/2236.0.48.1 to 36.0.51.25436.0.51.2551,022
1436.0.52.0/2236.0.52.1 to 36.0.55.25436.0.55.2551,022
1536.0.56.0/2236.0.56.1 to 36.0.59.25436.0.59.2551,022
1636.0.60.0/2236.0.60.1 to 36.0.63.25436.0.63.2551,022
1736.0.64.0/2236.0.64.1 to 36.0.67.25436.0.67.2551,022
1836.0.68.0/2236.0.68.1 to 36.0.71.25436.0.71.2551,022
1936.0.72.0/2236.0.72.1 to 36.0.75.25436.0.75.2551,022
2036.0.76.0/2236.0.76.1 to 36.0.79.25436.0.79.2551,022
2136.0.80.0/2236.0.80.1 to 36.0.83.25436.0.83.2551,022
2236.0.84.0/2236.0.84.1 to 36.0.87.25436.0.87.2551,022
2336.0.88.0/2236.0.88.1 to 36.0.91.25436.0.91.2551,022
2436.0.92.0/2236.0.92.1 to 36.0.95.25436.0.95.2551,022
2536.0.96.0/2236.0.96.1 to 36.0.99.25436.0.99.2551,022
2636.0.100.0/2236.0.100.1 to 36.0.103.25436.0.103.2551,022
2736.0.104.0/2236.0.104.1 to 36.0.107.25436.0.107.2551,022
2836.0.108.0/2236.0.108.1 to 36.0.111.25436.0.111.2551,022
2936.0.112.0/2236.0.112.1 to 36.0.115.25436.0.115.2551,022
3036.0.116.0/2236.0.116.1 to 36.0.119.25436.0.119.2551,022
3136.0.120.0/2236.0.120.1 to 36.0.123.25436.0.123.2551,022
3236.0.124.0/2236.0.124.1 to 36.0.127.25436.0.127.2551,022
3336.0.128.0/2236.0.128.1 to 36.0.131.25436.0.131.2551,022
3436.0.132.0/2236.0.132.1 to 36.0.135.25436.0.135.2551,022
3536.0.136.0/2236.0.136.1 to 36.0.139.25436.0.139.2551,022
3636.0.140.0/2236.0.140.1 to 36.0.143.25436.0.143.2551,022
3736.0.144.0/2236.0.144.1 to 36.0.147.25436.0.147.2551,022
3836.0.148.0/2236.0.148.1 to 36.0.151.25436.0.151.2551,022
3936.0.152.0/2236.0.152.1 to 36.0.155.25436.0.155.2551,022
4036.0.156.0/2236.0.156.1 to 36.0.159.25436.0.159.2551,022
4136.0.160.0/2236.0.160.1 to 36.0.163.25436.0.163.2551,022
4236.0.164.0/2236.0.164.1 to 36.0.167.25436.0.167.2551,022
4336.0.168.0/2236.0.168.1 to 36.0.171.25436.0.171.2551,022
4436.0.172.0/2236.0.172.1 to 36.0.175.25436.0.175.2551,022
4536.0.176.0/2236.0.176.1 to 36.0.179.25436.0.179.2551,022
4636.0.180.0/2236.0.180.1 to 36.0.183.25436.0.183.2551,022
4736.0.184.0/2236.0.184.1 to 36.0.187.25436.0.187.2551,022
4836.0.188.0/2236.0.188.1 to 36.0.191.25436.0.191.2551,022
4936.0.192.0/2236.0.192.1 to 36.0.195.25436.0.195.2551,022
5036.0.196.0/2236.0.196.1 to 36.0.199.25436.0.199.2551,022
5136.0.200.0/2236.0.200.1 to 36.0.203.25436.0.203.2551,022
5236.0.204.0/2236.0.204.1 to 36.0.207.25436.0.207.2551,022
5336.0.208.0/2236.0.208.1 to 36.0.211.25436.0.211.2551,022
5436.0.212.0/2236.0.212.1 to 36.0.215.25436.0.215.2551,022
5536.0.216.0/2236.0.216.1 to 36.0.219.25436.0.219.2551,022
5636.0.220.0/2236.0.220.1 to 36.0.223.25436.0.223.2551,022
5736.0.224.0/2236.0.224.1 to 36.0.227.25436.0.227.2551,022
5836.0.228.0/2236.0.228.1 to 36.0.231.25436.0.231.2551,022
5936.0.232.0/2236.0.232.1 to 36.0.235.25436.0.235.2551,022
6036.0.236.0/2236.0.236.1 to 36.0.239.25436.0.239.2551,022
6136.0.240.0/2236.0.240.1 to 36.0.243.25436.0.243.2551,022
6236.0.244.0/2236.0.244.1 to 36.0.247.25436.0.247.2551,022
6336.0.248.0/2236.0.248.1 to 36.0.251.25436.0.251.2551,022
6436.0.252.0/2236.0.252.1 to 36.0.255.25436.0.255.2551,022
6536.1.0.0/2236.1.0.1 to 36.1.3.25436.1.3.2551,022
6636.1.4.0/2236.1.4.1 to 36.1.7.25436.1.7.2551,022
6736.1.8.0/2236.1.8.1 to 36.1.11.25436.1.11.2551,022
6836.1.12.0/2236.1.12.1 to 36.1.15.25436.1.15.2551,022
6936.1.16.0/2236.1.16.1 to 36.1.19.25436.1.19.2551,022
7036.1.20.0/2236.1.20.1 to 36.1.23.25436.1.23.2551,022
7136.1.24.0/2236.1.24.1 to 36.1.27.25436.1.27.2551,022
7236.1.28.0/2236.1.28.1 to 36.1.31.25436.1.31.2551,022
7336.1.32.0/2236.1.32.1 to 36.1.35.25436.1.35.2551,022
7436.1.36.0/2236.1.36.1 to 36.1.39.25436.1.39.2551,022
7536.1.40.0/2236.1.40.1 to 36.1.43.25436.1.43.2551,022
7636.1.44.0/2236.1.44.1 to 36.1.47.25436.1.47.2551,022
7736.1.48.0/2236.1.48.1 to 36.1.51.25436.1.51.2551,022
7836.1.52.0/2236.1.52.1 to 36.1.55.25436.1.55.2551,022
7936.1.56.0/2236.1.56.1 to 36.1.59.25436.1.59.2551,022
8036.1.60.0/2236.1.60.1 to 36.1.63.25436.1.63.2551,022
8136.1.64.0/2236.1.64.1 to 36.1.67.25436.1.67.2551,022
8236.1.68.0/2236.1.68.1 to 36.1.71.25436.1.71.2551,022
8336.1.72.0/2236.1.72.1 to 36.1.75.25436.1.75.2551,022
8436.1.76.0/2236.1.76.1 to 36.1.79.25436.1.79.2551,022
8536.1.80.0/2236.1.80.1 to 36.1.83.25436.1.83.2551,022
8636.1.84.0/2236.1.84.1 to 36.1.87.25436.1.87.2551,022
8736.1.88.0/2236.1.88.1 to 36.1.91.25436.1.91.2551,022
8836.1.92.0/2236.1.92.1 to 36.1.95.25436.1.95.2551,022
8936.1.96.0/2236.1.96.1 to 36.1.99.25436.1.99.2551,022
9036.1.100.0/2236.1.100.1 to 36.1.103.25436.1.103.2551,022
9136.1.104.0/2236.1.104.1 to 36.1.107.25436.1.107.2551,022
9236.1.108.0/2236.1.108.1 to 36.1.111.25436.1.111.2551,022
9336.1.112.0/2236.1.112.1 to 36.1.115.25436.1.115.2551,022
9436.1.116.0/2236.1.116.1 to 36.1.119.25436.1.119.2551,022
9536.1.120.0/2236.1.120.1 to 36.1.123.25436.1.123.2551,022
9636.1.124.0/2236.1.124.1 to 36.1.127.25436.1.127.2551,022
9736.1.128.0/2236.1.128.1 to 36.1.131.25436.1.131.2551,022
9836.1.132.0/2236.1.132.1 to 36.1.135.25436.1.135.2551,022
9936.1.136.0/2236.1.136.1 to 36.1.139.25436.1.139.2551,022
10036.1.140.0/2236.1.140.1 to 36.1.143.25436.1.143.2551,022
10136.1.144.0/2236.1.144.1 to 36.1.147.25436.1.147.2551,022
10236.1.148.0/2236.1.148.1 to 36.1.151.25436.1.151.2551,022
10336.1.152.0/2236.1.152.1 to 36.1.155.25436.1.155.2551,022
10436.1.156.0/2236.1.156.1 to 36.1.159.25436.1.159.2551,022
10536.1.160.0/2236.1.160.1 to 36.1.163.25436.1.163.2551,022
10636.1.164.0/2236.1.164.1 to 36.1.167.25436.1.167.2551,022
10736.1.168.0/2236.1.168.1 to 36.1.171.25436.1.171.2551,022
10836.1.172.0/2236.1.172.1 to 36.1.175.25436.1.175.2551,022
10936.1.176.0/2236.1.176.1 to 36.1.179.25436.1.179.2551,022
11036.1.180.0/2236.1.180.1 to 36.1.183.25436.1.183.2551,022
11136.1.184.0/2236.1.184.1 to 36.1.187.25436.1.187.2551,022
11236.1.188.0/2236.1.188.1 to 36.1.191.25436.1.191.2551,022
11336.1.192.0/2236.1.192.1 to 36.1.195.25436.1.195.2551,022
11436.1.196.0/2236.1.196.1 to 36.1.199.25436.1.199.2551,022
11536.1.200.0/2236.1.200.1 to 36.1.203.25436.1.203.2551,022
11636.1.204.0/2236.1.204.1 to 36.1.207.25436.1.207.2551,022
11736.1.208.0/2236.1.208.1 to 36.1.211.25436.1.211.2551,022
11836.1.212.0/2236.1.212.1 to 36.1.215.25436.1.215.2551,022
11936.1.216.0/2236.1.216.1 to 36.1.219.25436.1.219.2551,022
12036.1.220.0/2236.1.220.1 to 36.1.223.25436.1.223.2551,022
12136.1.224.0/2236.1.224.1 to 36.1.227.25436.1.227.2551,022
12236.1.228.0/2236.1.228.1 to 36.1.231.25436.1.231.2551,022
12336.1.232.0/2236.1.232.1 to 36.1.235.25436.1.235.2551,022
12436.1.236.0/2236.1.236.1 to 36.1.239.25436.1.239.2551,022
12536.1.240.0/2236.1.240.1 to 36.1.243.25436.1.243.2551,022
12636.1.244.0/2236.1.244.1 to 36.1.247.25436.1.247.2551,022
12736.1.248.0/2236.1.248.1 to 36.1.251.25436.1.251.2551,022
12836.1.252.0/2236.1.252.1 to 36.1.255.25436.1.255.2551,022
12936.2.0.0/2236.2.0.1 to 36.2.3.25436.2.3.2551,022
13036.2.4.0/2236.2.4.1 to 36.2.7.25436.2.7.2551,022
13136.2.8.0/2236.2.8.1 to 36.2.11.25436.2.11.2551,022
13236.2.12.0/2236.2.12.1 to 36.2.15.25436.2.15.2551,022
13336.2.16.0/2236.2.16.1 to 36.2.19.25436.2.19.2551,022
13436.2.20.0/2236.2.20.1 to 36.2.23.25436.2.23.2551,022
13536.2.24.0/2236.2.24.1 to 36.2.27.25436.2.27.2551,022
13636.2.28.0/2236.2.28.1 to 36.2.31.25436.2.31.2551,022
13736.2.32.0/2236.2.32.1 to 36.2.35.25436.2.35.2551,022
13836.2.36.0/2236.2.36.1 to 36.2.39.25436.2.39.2551,022
13936.2.40.0/2236.2.40.1 to 36.2.43.25436.2.43.2551,022
14036.2.44.0/2236.2.44.1 to 36.2.47.25436.2.47.2551,022
14136.2.48.0/2236.2.48.1 to 36.2.51.25436.2.51.2551,022
14236.2.52.0/2236.2.52.1 to 36.2.55.25436.2.55.2551,022
14336.2.56.0/2236.2.56.1 to 36.2.59.25436.2.59.2551,022
14436.2.60.0/2236.2.60.1 to 36.2.63.25436.2.63.2551,022
14536.2.64.0/2236.2.64.1 to 36.2.67.25436.2.67.2551,022
14636.2.68.0/2236.2.68.1 to 36.2.71.25436.2.71.2551,022
14736.2.72.0/2236.2.72.1 to 36.2.75.25436.2.75.2551,022
14836.2.76.0/2236.2.76.1 to 36.2.79.25436.2.79.2551,022
14936.2.80.0/2236.2.80.1 to 36.2.83.25436.2.83.2551,022
15036.2.84.0/2236.2.84.1 to 36.2.87.25436.2.87.2551,022
15136.2.88.0/2236.2.88.1 to 36.2.91.25436.2.91.2551,022
15236.2.92.0/2236.2.92.1 to 36.2.95.25436.2.95.2551,022
15336.2.96.0/2236.2.96.1 to 36.2.99.25436.2.99.2551,022
15436.2.100.0/2236.2.100.1 to 36.2.103.25436.2.103.2551,022
15536.2.104.0/2236.2.104.1 to 36.2.107.25436.2.107.2551,022
15636.2.108.0/2236.2.108.1 to 36.2.111.25436.2.111.2551,022
15736.2.112.0/2236.2.112.1 to 36.2.115.25436.2.115.2551,022
15836.2.116.0/2236.2.116.1 to 36.2.119.25436.2.119.2551,022
15936.2.120.0/2236.2.120.1 to 36.2.123.25436.2.123.2551,022
16036.2.124.0/2236.2.124.1 to 36.2.127.25436.2.127.2551,022
16136.2.128.0/2236.2.128.1 to 36.2.131.25436.2.131.2551,022
16236.2.132.0/2236.2.132.1 to 36.2.135.25436.2.135.2551,022
16336.2.136.0/2236.2.136.1 to 36.2.139.25436.2.139.2551,022
16436.2.140.0/2236.2.140.1 to 36.2.143.25436.2.143.2551,022
16536.2.144.0/2236.2.144.1 to 36.2.147.25436.2.147.2551,022
16636.2.148.0/2236.2.148.1 to 36.2.151.25436.2.151.2551,022
16736.2.152.0/2236.2.152.1 to 36.2.155.25436.2.155.2551,022
16836.2.156.0/2236.2.156.1 to 36.2.159.25436.2.159.2551,022
16936.2.160.0/2236.2.160.1 to 36.2.163.25436.2.163.2551,022
17036.2.164.0/2236.2.164.1 to 36.2.167.25436.2.167.2551,022
17136.2.168.0/2236.2.168.1 to 36.2.171.25436.2.171.2551,022
17236.2.172.0/2236.2.172.1 to 36.2.175.25436.2.175.2551,022
17336.2.176.0/2236.2.176.1 to 36.2.179.25436.2.179.2551,022
17436.2.180.0/2236.2.180.1 to 36.2.183.25436.2.183.2551,022
17536.2.184.0/2236.2.184.1 to 36.2.187.25436.2.187.2551,022
17636.2.188.0/2236.2.188.1 to 36.2.191.25436.2.191.2551,022
17736.2.192.0/2236.2.192.1 to 36.2.195.25436.2.195.2551,022
17836.2.196.0/2236.2.196.1 to 36.2.199.25436.2.199.2551,022
17936.2.200.0/2236.2.200.1 to 36.2.203.25436.2.203.2551,022
18036.2.204.0/2236.2.204.1 to 36.2.207.25436.2.207.2551,022
18136.2.208.0/2236.2.208.1 to 36.2.211.25436.2.211.2551,022
18236.2.212.0/2236.2.212.1 to 36.2.215.25436.2.215.2551,022
18336.2.216.0/2236.2.216.1 to 36.2.219.25436.2.219.2551,022
18436.2.220.0/2236.2.220.1 to 36.2.223.25436.2.223.2551,022
18536.2.224.0/2236.2.224.1 to 36.2.227.25436.2.227.2551,022
18636.2.228.0/2236.2.228.1 to 36.2.231.25436.2.231.2551,022
18736.2.232.0/2236.2.232.1 to 36.2.235.25436.2.235.2551,022
18836.2.236.0/2236.2.236.1 to 36.2.239.25436.2.239.2551,022
18936.2.240.0/2236.2.240.1 to 36.2.243.25436.2.243.2551,022
19036.2.244.0/2236.2.244.1 to 36.2.247.25436.2.247.2551,022
19136.2.248.0/2236.2.248.1 to 36.2.251.25436.2.251.2551,022
19236.2.252.0/2236.2.252.1 to 36.2.255.25436.2.255.2551,022
19336.3.0.0/2236.3.0.1 to 36.3.3.25436.3.3.2551,022
19436.3.4.0/2236.3.4.1 to 36.3.7.25436.3.7.2551,022
19536.3.8.0/2236.3.8.1 to 36.3.11.25436.3.11.2551,022
19636.3.12.0/2236.3.12.1 to 36.3.15.25436.3.15.2551,022
19736.3.16.0/2236.3.16.1 to 36.3.19.25436.3.19.2551,022
19836.3.20.0/2236.3.20.1 to 36.3.23.25436.3.23.2551,022
19936.3.24.0/2236.3.24.1 to 36.3.27.25436.3.27.2551,022
20036.3.28.0/2236.3.28.1 to 36.3.31.25436.3.31.2551,022
20136.3.32.0/2236.3.32.1 to 36.3.35.25436.3.35.2551,022
20236.3.36.0/2236.3.36.1 to 36.3.39.25436.3.39.2551,022
20336.3.40.0/2236.3.40.1 to 36.3.43.25436.3.43.2551,022
20436.3.44.0/2236.3.44.1 to 36.3.47.25436.3.47.2551,022
20536.3.48.0/2236.3.48.1 to 36.3.51.25436.3.51.2551,022
20636.3.52.0/2236.3.52.1 to 36.3.55.25436.3.55.2551,022
20736.3.56.0/2236.3.56.1 to 36.3.59.25436.3.59.2551,022
20836.3.60.0/2236.3.60.1 to 36.3.63.25436.3.63.2551,022
20936.3.64.0/2236.3.64.1 to 36.3.67.25436.3.67.2551,022
21036.3.68.0/2236.3.68.1 to 36.3.71.25436.3.71.2551,022
21136.3.72.0/2236.3.72.1 to 36.3.75.25436.3.75.2551,022
21236.3.76.0/2236.3.76.1 to 36.3.79.25436.3.79.2551,022
21336.3.80.0/2236.3.80.1 to 36.3.83.25436.3.83.2551,022
21436.3.84.0/2236.3.84.1 to 36.3.87.25436.3.87.2551,022
21536.3.88.0/2236.3.88.1 to 36.3.91.25436.3.91.2551,022
21636.3.92.0/2236.3.92.1 to 36.3.95.25436.3.95.2551,022
21736.3.96.0/2236.3.96.1 to 36.3.99.25436.3.99.2551,022
21836.3.100.0/2236.3.100.1 to 36.3.103.25436.3.103.2551,022
21936.3.104.0/2236.3.104.1 to 36.3.107.25436.3.107.2551,022
22036.3.108.0/2236.3.108.1 to 36.3.111.25436.3.111.2551,022
22136.3.112.0/2236.3.112.1 to 36.3.115.25436.3.115.2551,022
22236.3.116.0/2236.3.116.1 to 36.3.119.25436.3.119.2551,022
22336.3.120.0/2236.3.120.1 to 36.3.123.25436.3.123.2551,022
22436.3.124.0/2236.3.124.1 to 36.3.127.25436.3.127.2551,022
22536.3.128.0/2236.3.128.1 to 36.3.131.25436.3.131.2551,022
22636.3.132.0/2236.3.132.1 to 36.3.135.25436.3.135.2551,022
22736.3.136.0/2236.3.136.1 to 36.3.139.25436.3.139.2551,022
22836.3.140.0/2236.3.140.1 to 36.3.143.25436.3.143.2551,022
22936.3.144.0/2236.3.144.1 to 36.3.147.25436.3.147.2551,022
23036.3.148.0/2236.3.148.1 to 36.3.151.25436.3.151.2551,022
23136.3.152.0/2236.3.152.1 to 36.3.155.25436.3.155.2551,022
23236.3.156.0/2236.3.156.1 to 36.3.159.25436.3.159.2551,022
23336.3.160.0/2236.3.160.1 to 36.3.163.25436.3.163.2551,022
23436.3.164.0/2236.3.164.1 to 36.3.167.25436.3.167.2551,022
23536.3.168.0/2236.3.168.1 to 36.3.171.25436.3.171.2551,022
23636.3.172.0/2236.3.172.1 to 36.3.175.25436.3.175.2551,022
23736.3.176.0/2236.3.176.1 to 36.3.179.25436.3.179.2551,022
23836.3.180.0/2236.3.180.1 to 36.3.183.25436.3.183.2551,022
23936.3.184.0/2236.3.184.1 to 36.3.187.25436.3.187.2551,022
24036.3.188.0/2236.3.188.1 to 36.3.191.25436.3.191.2551,022
24136.3.192.0/2236.3.192.1 to 36.3.195.25436.3.195.2551,022
24236.3.196.0/2236.3.196.1 to 36.3.199.25436.3.199.2551,022
24336.3.200.0/2236.3.200.1 to 36.3.203.25436.3.203.2551,022
24436.3.204.0/2236.3.204.1 to 36.3.207.25436.3.207.2551,022
24536.3.208.0/2236.3.208.1 to 36.3.211.25436.3.211.2551,022
24636.3.212.0/2236.3.212.1 to 36.3.215.25436.3.215.2551,022
24736.3.216.0/2236.3.216.1 to 36.3.219.25436.3.219.2551,022
24836.3.220.0/2236.3.220.1 to 36.3.223.25436.3.223.2551,022
24936.3.224.0/2236.3.224.1 to 36.3.227.25436.3.227.2551,022
25036.3.228.0/2236.3.228.1 to 36.3.231.25436.3.231.2551,022
25136.3.232.0/2236.3.232.1 to 36.3.235.25436.3.235.2551,022
25236.3.236.0/2236.3.236.1 to 36.3.239.25436.3.239.2551,022
25336.3.240.0/2236.3.240.1 to 36.3.243.25436.3.243.2551,022
25436.3.244.0/2236.3.244.1 to 36.3.247.25436.3.247.2551,022
25536.3.248.0/2236.3.248.1 to 36.3.251.25436.3.251.2551,022
25636.3.252.0/2236.3.252.1 to 36.3.255.25436.3.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses